commit 85bfedad416906b1a5dff377d470387692b5ca70
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 3 22:54:32 2017 +0200

    Poppler 0.59

 CMakeLists.txt      |  4 ++--
 NEWS                | 15 +++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 22 insertions(+), 7 deletions(-)

commit 98b4c23cf6f6eb0dbc167ed0606932b0d8de39f1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 3 22:50:31 2017 +0200

    Update (C)

 utils/pdfinfo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5c8dfc90603111aea36add20c88abde79a351d85
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 3 22:32:09 2017 +0200

    Remove the old if/else cmake syntax

    that was weird and forced you to replicate the if clause in the
    else and
    endif

 CMakeLists.txt           | 154
 +++++++++++++++++++++++------------------------
 cpp/tests/CMakeLists.txt |   2 +-
 glib/CMakeLists.txt      |   2 +-
 qt4/src/CMakeLists.txt   |   2 +-
 qt4/tests/CMakeLists.txt |   8 +--
 qt5/src/CMakeLists.txt   |   2 +-
 qt5/tests/CMakeLists.txt |   8 +--
 test/CMakeLists.txt      |  10 +--
 utils/CMakeLists.txt     |  10 +--
 9 files changed, 99 insertions(+), 99 deletions(-)

commit 251bb42e9af251c86b8fec120e14972ac7c07106
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 3 22:23:18 2017 +0200

    Remove the check for cmake >= 2.8.8 since we're requiring 3.1 already

 CMakeLists.txt | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 3ea09e735f81a2a16a204388bc474871aaa10271
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 2 17:50:58 2017 +0930

    Fix warning when compiling with cygwin

    ImageOutputDev.cc:532:14: warning: ‘f’ may be used uninitialized
    in this function [-Wmaybe-uninitialized]

 utils/ImageOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ef21aea5bb8b87f9a7e9217c316cd5e10612a62
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 2 17:50:35 2017 +0930

    Fix cygwin 32-bit compile

    poppler/goo/gfile.cc: In function ‘GBool openTempFile(GooString**,
    FILE**, const char*)’:
    poppler/goo/gfile.cc:409:37: error: ‘mkstemp’ was not declared
    in this scope
       fd = mkstemp((*name)->getCString());
                                         ^
    poppler/goo/gfile.cc:417:39: error: ‘fdopen’ was not declared
    in this scope
       if (fd < 0 || !(*f = fdopen(fd, mode))) {
                                           ^
    poppler/goo/gfile.cc: In function ‘int Gfseek(FILE*, Goffset,
    int)’:
    poppler/goo/gfile.cc:558:34: error: ‘fseeko’ was not declared
    in this scope
       return fseeko(f, offset, whence);
                                      ^
    poppler/goo/gfile.cc: In function ‘Goffset Gftell(FILE*)’:
    poppler/goo/gfile.cc:572:18: error: ‘ftello’ was not declared
    in this scope
       return ftello(f);
                      ^

 cmake/modules/PopplerMacros.cmake | 2 +-
 configure.ac                      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 048237db6a7122a5769a15c7dd3ae3680e06e9bb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 2 22:59:32 2017 +0200

    pdfunite: Fix API porting error that caused abort in some cases

    We need to check for xRef->getTrailerDict() existing before accessing
    xRef->getDocInfo();

 poppler/PDFDoc.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 4459d817194431f4f00553d5ad67b960a37e4c9d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 2 20:16:44 2017 +0930

    pdfinfo: use GooString.append instead of sprintf/strcat

    https://lists.freedesktop.org/archives/poppler/2017-September/012437.html

 utils/pdfinfo.cc | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 267ff8af69ae7e8526d9bfe5063207c87a9b70b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 2 13:27:33 2017 +0200

    Fix infinite recursion in NameTree parsing in broken files

 poppler/Catalog.cc | 16 +++++++++++++---
 poppler/Catalog.h  |  2 +-
 2 files changed, 14 insertions(+), 4 deletions(-)

commit c5487b653b1c37882af32a25296611e64d7ba867
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 2 11:55:17 2017 +0200

    pdfinfo: -dests don't crash in broken documents

    That have pages that don't have ref

 utils/pdfinfo.cc | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 10660b359dc960f4b0f3728243c64eec79c39851
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 2 11:50:00 2017 +0200

    pdfinfo: Fix memory leaks when using -dests

 utils/pdfinfo.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit ea6174def73f7478ae76843bb88ef85c5a6150f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 2 11:31:51 2017 +0200

    pdfinfo: Fix crash if getDest* returns nullptr

 utils/pdfinfo.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 73e12716f3e4643c2ea13421902b8220596454d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 1 20:11:27 2017 +0200

    Poppler 0.58

 CMakeLists.txt      |  4 ++--
 NEWS                | 30 ++++++++++++++++++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 37 insertions(+), 7 deletions(-)

commit 8a5c7be5b5772672b34638532793cf62be78e9b8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 1 20:02:17 2017 +0200

    Add missing includes

 goo/JpegWriter.cc          | 2 +-
 goo/JpegWriter.h           | 2 +-
 goo/gfile.cc               | 1 +
 goo/gfile.h                | 1 +
 poppler/CairoOutputDev.cc  | 2 +-
 poppler/Gfx.cc             | 2 +-
 poppler/GlobalParams.cc    | 1 +
 poppler/GlobalParamsWin.cc | 2 ++
 poppler/Outline.cc         | 1 +
 poppler/Stream.cc          | 2 +-
 poppler/Stream.h           | 2 +-
 splash/SplashBitmap.cc     | 2 +-
 splash/SplashBitmap.h      | 2 +-
 utils/pdftocairo.cc        | 2 +-
 14 files changed, 15 insertions(+), 9 deletions(-)

commit 26f64a2a34a9273897c34045ea7af5e8c3c603cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 31 15:37:07 2017 +0200

    cmake: enable glib for windows too

    There's no need to not having it enabled

 cmake/modules/FindGLIB.cmake | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 90bc39daf9d3276b166b4c88e1d2c1988aa41c71
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Mon Aug 28 10:25:12 2017 +0200

    Document some parameters of the drawChar method

    Thanks to Adrian Johnson, who explained their meaning to me.

 poppler/OutputDev.h | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 59e6e9b3e4d77229051cafeeeb65a82e9a966204
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 27 12:54:03 2017 +0200

    Add missing inlcudes when compiling with cmake+mingw

 utils/pdftocairo-win32.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 13cf327cd512ebc26c8bd31cdd80d61027634bcb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 27 12:51:19 2017 +0200

    cmake: Use -std=c++11 instead of -std=gnu++11

 CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

commit 1602610ce2bbab2feb0177f0876e1ed0ee40a472
Author: Tobias C. Berner <tcberner@freebsd.org>
Date:   Sun Aug 27 12:16:05 2017 +0200

    Include time.h for time_t

 qt5/src/poppler-form.h | 2 ++
 1 file changed, 2 insertions(+)

commit 40cb9f4bf6f35ea62bc7b9e5c23008f98ebd4b36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 24 11:14:34 2017 +0200

    Fix build with mingw

 config.h.cmake             |  6 ++++++
 poppler/GlobalParamsWin.cc | 21 ++++++---------------
 poppler/Link.cc            | 14 ++------------
 poppler/PDFDoc.cc          |  4 +---
 4 files changed, 15 insertions(+), 30 deletions(-)

commit 5be33ba49071a9ffeb62be93e5dc01267318d1c2
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Aug 23 21:00:09 2017 +0930

    Fix Outline title

 poppler/Outline.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1b84a71ee2550ae4b14cb1e40576de1f022eb2e8
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue Aug 22 11:43:08 2017 +0200

    Use Qt::SvgMiterJoin instead of Qt::MiterJoin

    The two differ in what happens when the miter limit is exceeded.
    According to

      https://bugreports.qt.io/browse/QTBUG-52640

    Qt::SvgMiterJoin is what the pdf standard requires.

    Closes: https://bugs.freedesktop.org/show_bug.cgi?id=102356

 qt5/src/ArthurOutputDev.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0793b6740121f4af07360800bebdc6238fc43087
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sun Aug 13 19:47:15 2017 +0200

    Document the updateCTM method

 poppler/OutputDev.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit 488d28ec9507eb99c7cb4cd2cafb54995a8bc9f8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Aug 16 21:01:07 2017 +0930

    pdfimages: support listing/extracting inline images

    The difficulty with extracting inline images is that inline images do
    not provide any way of determining the length or end of image data
    without decoding the image. We can get the length by using ImageStream
    to decode the data then check the stream position. But then we are
    still unable to extract the undecoded image data because embedded
    streams can only be read once.

    Since inline images tend to be small the solution implemented is to
    modify EmbedStream to keep a copy of the data read from it in memory
    and then allow the data to be read again.

    Two new functions have been added to EmbedStream. rewind() will cause
    EmbedStream.getChar() to stop recording data and switch to replaying
    the saved data, returning EOF when the end of the saved data is
    reached. The restore() function will make getChar() switch back to
    reading from the parent stream.

    ImageOutputDev can now extract or get the image size by first using
    ImageStream to read data from the embedded stream. After calling
    rewind() the undecoded image data can be read from the embedded stream
    until EOF is returned. Then restore() is called so that Gfx can read
    the 'EI' from the end of the embedded stream.

    Bug 25625

 poppler/Gfx.cc          |  2 +-
 poppler/Stream.cc       | 96
 +++++++++++++++++++++++++++++++++++++++++++------
 poppler/Stream.h        | 14 ++++++--
 utils/ImageOutputDev.cc | 67 ++++++++++++++++++++++++++++++----
 utils/ImageOutputDev.h  |  1 +
 5 files changed, 159 insertions(+), 21 deletions(-)

commit b9030a069756c84669ed6f408399cc7e2ce4fd10
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jul 16 12:23:28 2017 +0930

    pdftoppm: add -jpegopt for setting jpeg compression parameters

    Bug 45727

 splash/SplashBitmap.cc | 25 ++++++++++++----
 splash/SplashBitmap.h  | 15 ++++++++--
 utils/pdftoppm.1       | 15 ++++++++++
 utils/pdftoppm.cc      | 80
 ++++++++++++++++++++++++++++++++++++++++++++++----
 4 files changed, 120 insertions(+), 15 deletions(-)

commit dd54243f00557e84dba887403912d12463c8b1e9
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jul 15 21:26:29 2017 +0930

    pdftocairo: add -jpegopt for setting jpeg compression parameters

    Bug 45727

 goo/JpegWriter.cc   | 10 ++++++++
 goo/JpegWriter.h    |  2 ++
 utils/pdftocairo.1  | 17 ++++++++++++-
 utils/pdftocairo.cc | 71
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 99 insertions(+), 1 deletion(-)

commit 00a536a455e4dd396c6b8b74d3e6a5c82d987eed
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Aug 16 21:21:58 2017 +0930

    cairo 1.14 now has high quality downscaling

    The filter needs to be GOOD or BEST to activate the high quality
    downscaling.

 poppler/CairoOutputDev.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 535bc8eeaf8d354a84129fe00c3a5e3ac0a85aa3
Author: Christoph Cullmann <cullmann@kde.org>
Date:   Wed Aug 16 21:11:36 2017 +0930

    win32: call ANSI functions directly

    to be able to compile with different -DUNICODE variants

    Bug 100312

 goo/gfile.cc               | 14 +++++++-------
 goo/gfile.h                |  2 +-
 poppler/GlobalParams.cc    |  2 +-
 poppler/GlobalParamsWin.cc | 20 ++++++++++----------
 4 files changed, 19 insertions(+), 19 deletions(-)

commit a8d670b59b0301040e716f3a11a78fce1177337d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Aug 15 21:35:27 2017 +0930

    pdfinfo: add -dests option to print named destinations

    Bug 97262

 utils/pdfinfo.1  |   4 ++
 utils/pdfinfo.cc | 140
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 143 insertions(+), 1 deletion(-)

commit 6d3239a2fd04595fecfb81a8703794877f4d8dec
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Aug 15 20:09:25 2017 +0200

    Fix build with autotools

 qt5/src/Makefile.am | 1 +
 utils/Makefile.am   | 4 ++++
 2 files changed, 5 insertions(+)

commit b56a697c58bcf09063827b9c109be9c04a033b8a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 15 12:25:26 2017 +0200

    Improvements to the previous Signature commit

     * Remove FormWidgetSignature::setFormSignatureType, the API was
     weird,
    make it be an output parameter of getCheckedSignature

     * include cleanup

     * Make validation time mandatory, marking to use -1 for *now*

     * Remove setFormSignatureType noone uses

     * Fix compilation wihtout NSS3

     * Don't static cast between NSS3 HASH_HashType and poppler-qt5
     HashAlgorithm

     * Actually pass validationTime down in FormFieldSignature::validate

     * Add since markers to poppler-qt5 functions/enums

     * Fix spacing

     * Remove SignatureValidationInfo::signingDateTime that returns
    QDateTime, having two functions that return the same is a bit
    confusing,
    and we're not filling the timezone info anyway, so let it be a time_t

 poppler/Form.cc            | 17 ++++---------
 poppler/Form.h             | 20 ++++++----------
 poppler/SignatureHandler.h |  5 ++--
 poppler/SignatureInfo.cc   |  7 +++++-
 poppler/SignatureInfo.h    |  4 ++--
 qt5/src/poppler-form.cc    | 52 ++++++++++++++++++++++------------------
 qt5/src/poppler-form.h     | 59
 +++++++++++++++++++++++++++++-----------------
 utils/pdfsig.cc            | 25 +++++---------------
 8 files changed, 96 insertions(+), 93 deletions(-)

commit a81700dfa638872fe9641289971ca9a2b50b42ad
Author: Hans-Ulrich Jüttner <huj@froreich-bioscientia.de>
Date:   Tue Aug 15 10:27:26 2017 +0200

    Various signature related improvements

    Export signature via Qt5 interface.
    Add support for signatures of SubFilter "ETSI.CAdES.detached".
    Add an optional validation time to method validateSignature().
    Print full Subject Distinguished Name, signing time, hash algorithm
    and a statement wether the total document is signed in pdfsig.

    Fixes bug #99271

 poppler/Form.cc             | 178
 ++++++++++++++++++++++++++++++++++++++++++--
 poppler/Form.h              |  34 ++++++++-
 poppler/SignatureHandler.cc |  34 ++++++++-
 poppler/SignatureHandler.h  |   5 +-
 poppler/SignatureInfo.cc    |  33 +++++++-
 poppler/SignatureInfo.h     |   9 ++-
 qt5/src/poppler-form.cc     | 112 ++++++++++++++++++++++++++++
 qt5/src/poppler-form.h      |  58 +++++++++++++++
 utils/pdfsig.1              |   6 +-
 utils/pdfsig.cc             |  73 ++++++++++++++++++
 10 files changed, 523 insertions(+), 19 deletions(-)

commit e15a0df15b89e1c7ba98cd7bbbf8ef97e541d231
Author: Hannah von Reth <vonreth@kde.org>
Date:   Sun Aug 13 20:26:44 2017 +0200

    Remove old/wrong cmake code for MSVC

 cpp/CMakeLists.txt | 3 ---
 1 file changed, 3 deletions(-)

commit 236f4ff4f516cb68a2d102627b0a3da73578c67f
Author: Hannah von Reth <vonreth@kde.org>
Date:   Sun Aug 13 20:24:15 2017 +0200

    Use WIN32_LEAN_AND_MEAN on Windows

 CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 1abf98b76ba134adc44883cd2ae345f769ca0d5a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sat Aug 12 16:42:40 2017 +0200

    qt5: ArthurOutputDev: Properly set the QPainter transformation

    Previously, the code did not touch the QPainter world transformation
    matrix.  Rather, the code contained ad hoc coordinate transformations
    scattered throughout the code.  This patch does a cleanup: the
    QPainter
    transformation matrix is set properly, and the hand-coded
    transformations are removed.  This should not affect the rendering
    output, but it makes the current (and future!) code simpler to
    read and write.

 qt5/src/ArthurOutputDev.cc | 56
 ++++++++++++++++++++++++----------------------
 qt5/src/ArthurOutputDev.h  |  4 ++++
 2 files changed, 33 insertions(+), 27 deletions(-)

commit 2baaa02087ef66b97bf3c4bce49785a10632178f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 13 12:35:39 2017 +0200

    Revert part of last commit, we wants tests not to fail :)

 qt5/tests/check_metadata.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3af2e18fc31f18efb36408281ca5879f284edaa4
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Fri Aug 11 22:55:41 2017 +0200

    Fix copy'n'paste bugs: Qt4 -> Qt5

 qt5/src/ArthurOutputDev.h    | 2 +-
 qt5/src/poppler-annotation.h | 2 +-
 qt5/tests/check_metadata.cpp | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a9581e624fa62b3905b790ac10d1349b1f96048a
Author: Roland Hieber <r.hieber@pengutronix.de>
Date:   Fri Aug 11 11:44:26 2017 +0200

    Form.h: fix error: 'vector' in namespace 'std' does not name a type

    Bug #102147

    Original error message while compiling with
    OSELAS.Toolchain-2016.06.1-arm-v7a-linux-gnueabi,
    gcc-5.4.0-glibc-2.23-binutils-2.26-kernel-4.6-sanitized:

            make[5]: Entering directory
            '/ptx/work/dude/WORK_B/rhi/OSELAS.BSP-Miele-PST/platform-cpu20/build-target/poppler-0.57.0/qt4/src'
              CXX      libpoppler_qt4_la-poppler-form.lo
            In file included from poppler-form.cc:26:0:
            ../../poppler/Form.h:544:14: error: 'vector' in namespace
            'std' does not name a template type
            ../../poppler/Form.h:556:8: error: 'vector' in namespace
            'std' does not name a template type
            Makefile:735: recipe for target
            'libpoppler_qt4_la-poppler-form.lo' failed

    configure arguments were:

            --prefix=/usr --sysconfdir=/etc --localstatedir=/var
            --libdir=/usr/lib --host=arm-v7a-linux-gnueabi
            --build=x86_64-host-linux-gnu --enable-option-checking
            --disable-silent-rules --disable-dependency-tracking
            --enable-shared --enable-fast-install --enable-libtool-lock
            --enable-xpdf-headers --enable-build-type=release
            --disable-single-precision --enable-fixedpoint --enable-cmyk
            --disable-relocatable --enable-libopenjpeg=none
            --disable-libnss
            --disable-libtiff --enable-largefile --enable-zlib
            --disable-zlib-uncompress --enable-libcurl
            --enable-dctdecoder=libjpeg --enable-libpng
            --disable-splash-output --enable-cairo-output
            --enable-poppler-glib --disable-introspection
            --disable-gtk-doc
            --disable-gtk-doc-html --disable-gtk-doc-pdf
            --enable-poppler-qt4 --disable-poppler-qt5
            --enable-poppler-cpp
            --disable-gtk-test --enable-utils --disable-compile-warnings
            --enable-cms=lcms1 --without-x
            --with-font-configuration=fontconfig --without-libiconv-prefix
            --with-testdatadir=

    Signed-off-by: Roland Hieber <r.hieber@pengutronix.de>

 poppler/Form.h | 2 ++
 1 file changed, 2 insertions(+)

commit f0ecbc6f988aa19ffb2b7e583dca4e609f2f6c65
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Aug 10 09:17:27 2017 +0200

    Tweak which cmap we use

    Bug #101855

 poppler/GfxFont.cc | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit 7e844eae94bc4eda1c6dcc3460840b25f4ca7898
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Aug 9 11:09:50 2017 +0200

    qt5: Arthur: initialize the image with the paper color

    Bug #102129

 qt5/src/poppler-page.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d7b800933e1b57c180247708991f5c3a282f8305
Author: Jason Alan Palmer <jalanpalmer@gmail.com>
Date:   Wed Aug 9 00:41:05 2017 +0200

    cpp: Fix page.text() not taking page orientation into account

    Bug #94517

 cpp/poppler-page.cpp       | 10 +++++++++-
 cpp/tests/poppler-dump.cpp |  3 ++-
 2 files changed, 11 insertions(+), 2 deletions(-)

commit cd04a81343fd5cba824a891f25c01eeffee5f906
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 8 22:42:46 2017 +0200

    Fix use of uninitialized value use

    Bug #102117

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe97135ffb18eaaec7d23a7394641ba103bfe48d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 19:30:28 2017 +0200

    Make the openjpeg1 code compile with the new Object API

 poppler/JPEG2000Stream.cc | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit e5ff049c3d11e6ea24b624807730acd21a6ef4d5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 01:07:00 2017 +0200

    Gfx::doImage: Simplify memory management

    of maskColorMap by using a std::unique_ptr

    Fixes a memory leak reported by Coverity

 poppler/Gfx.cc | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 19eda068ae1866e4f46efc9534b34779007fdc16
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 00:53:52 2017 +0200

    Fix memory leak on corner case condition

 poppler/Parser.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dbe7a5da3dce56210bd4ca2deaf8f5ad4a9d0529
Merge: 687474e1 c167f35b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 1 00:12:13 2017 +0200

    Merge remote-tracking branch 'origin/master' into better_object

commit c167f35b8c3fd7e94fa97385949b2c133d918ed4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 23:39:37 2017 +0200

    Poppler 0.57

 CMakeLists.txt      |  4 ++--
 NEWS                | 14 ++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 21 insertions(+), 7 deletions(-)

commit be0384d2220a75d2666b1fd2228e156b1595a57f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 23:34:57 2017 +0200

    Add missing (C)

 poppler/StructTreeRoot.cc | 1 +
 1 file changed, 1 insertion(+)

commit 0e7f6cb1c42db3d65395365833472ff859def87a
Author: Jannick <thirdedition@gmx.net>
Date:   Mon Jul 31 19:53:12 2017 +0200

    Fix some warnings in some unusual #ifdef combinations

    Bug #101812

 poppler/PSOutputDev.cc | 2 +-
 poppler/Stream.cc      | 5 ++---
 2 files changed, 3 insertions(+), 4 deletions(-)

commit f55d6a64dd3f69fa9c1ba984218809cc50c9b052
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 19:45:32 2017 +0200

    Add missing (C)

 utils/pdfseparate.cc | 1 +
 1 file changed, 1 insertion(+)

commit 543b0ea219191122fee0583ce62c19e31de34109
Author: Roland Hieber <r.hieber@pengutronix.de>
Date:   Mon Jul 17 11:35:32 2017 +0200

    configure.ac: fix --disable-FEATURE actually enabling the feature

    Forwarded: https://bugs.freedesktop.org/show_bug.cgi?id=101818

    A frequently seen antipattern is to use
    AC_ARG_ENABLE(feature, help, action-if-given, action-if-not-given) as
    AC_ARG_ENABLE(feature, help, action-if-enabled, action-if-disabled).
    However, action-if-given is also evaluated for --disable-FEATURE (with
    enableval=no), which results in --disable-FEATURE and --enable-FEATURE
    doing the same in this case.

    Rewrite the single-precision, fixedpoint and cmyk arguments
    accordingly
    so the user is not confused if they explicitely want to disable those
    options.

    Signed-off-by: Roland Hieber <r.hieber@pengutronix.de>

 configure.ac | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit 92ad743b63c3e82211ea0b2e4d4471dd3f71cebc
Author: Léonard Michelet <leonard.michelet@smile.fr>
Date:   Mon Jul 31 19:40:06 2017 +0200

    pdfseparate: minor improvement to the documentation

    Bug #101800

 utils/pdfseparate.1  | 7 ++++---
 utils/pdfseparate.cc | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 0a2096743fa749a8a7d4caa714eecbe8a9661619
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 16:52:46 2017 +0200

    Add some more overrides

 poppler/CurlCachedFile.h    | 4 ++--
 poppler/CurlPDFDocBuilder.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 687474e17db59482dc4538740701bdb32bc9d6bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 16:47:31 2017 +0200

    Build++

 poppler/CurlPDFDocBuilder.cc | 5 +----
 poppler/Stream.cc            | 2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 66e718e753a527289ce86cd206fcffd23fc28d81
Merge: 9cecd78f 213ae24b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 31 16:39:53 2017 +0200

    Merge remote-tracking branch 'origin/master' into better_object

commit 213ae24b4df97f557e771060e37197d0e57f6f7f
Author: Jannick <thirdedition@gmx.net>
Date:   Sun Jul 16 19:51:49 2017 +0200

    added override tag to function declarations

 poppler/FlateStream.h | 16 ++++++++--------
 poppler/JPXStream.h   | 16 ++++++++--------
 poppler/Stream.h      | 16 ++++++++--------
 3 files changed, 24 insertions(+), 24 deletions(-)

commit ab371fe60568947e355d89e28d489f7f9a1a7404
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Sun Jul 16 12:07:54 2017 -0500

    pdftohtml: skip control characters

    W3C disallows them and they cause a warning in PHP.

    https://bugs.freedesktop.org/show_bug.cgi?id=101770

 utils/HtmlFonts.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0f4ea2f18b1953ccc88bcbd6b16ede828b44e561
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jul 10 21:06:30 2017 +0930

    Fix parsing of Type 1 fonts with newlines in encoding sequences

    Adobe Type 1 font spec states that the encoding sequences should be of
    the form:

      dup index /name put

    The bug 101728 test case has the encoding sequences in the form:

      dup
      index /name put

    Make the Type 1 parse handle encoding sequences split over more than
    one line.

    Bug 101728

 fofi/FoFiType1.cc | 40 +++++++++++++++++++++++++++++++++++-----
 1 file changed, 35 insertions(+), 5 deletions(-)

commit 75fff6556eaf0ef3a6fcdef2c2229d0b6d1c58d9
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Wed Jul 12 14:12:46 2017 +0100

    CVE-2017-9865 (fdo#100774) avoid stack buffer overflow

    in GfxImageColorMap:getGray

    by passing first arg to getGray of maximum possibly required size

    and similar in HtmlOutputDev::drawPngImage

 utils/HtmlOutputDev.cc  | 6 ++++--
 utils/ImageOutputDev.cc | 6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 5d0c23a9f6cdc3fd216335124788958f46932158
Author: Jan-Erik S <janerik234678@gmail.com>
Date:   Sat Jul 29 18:23:39 2017 +0200

    Fix crash in broken document

 poppler/StructTreeRoot.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 852fd28674e14f25c6902c0adab19909f73f2632
Author: David Faure <faure@kde.org>
Date:   Sat Jul 29 18:18:23 2017 +0200

    Set RUNPATH for poppler shared libs

    Bug #101945

 CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 771c82623e8e1e0c92b8ca6f7c2b8a81ccbb60d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 22:44:42 2017 +0200

    pdfunite: fix crash in broken documents

    Bug #101208

 poppler/PDFDoc.cc | 70
 +++++++++++++++++++++++++++++++++++++++++--------------
 poppler/PDFDoc.h  | 21 +++++++----------
 2 files changed, 62 insertions(+), 29 deletions(-)

commit 02d9b182b80d5745b79480b0b8d0eb49b0be304e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 21 22:49:26 2017 +0200

    Poppler 0.56

 CMakeLists.txt   | 2 +-
 NEWS             | 8 ++++++++
 configure.ac     | 2 +-
 cpp/Doxyfile     | 2 +-
 qt4/src/Doxyfile | 2 +-
 qt5/src/Doxyfile | 2 +-
 6 files changed, 13 insertions(+), 5 deletions(-)

commit 3a2759aa2a98c2157cb35731b95e393b8882f8d3
Author: Jose Aliste <jaliste@src.gnome.org>
Date:   Tue May 16 18:44:49 2017 -0400

    Check numComps is between reasonable bounds

    Before this patch, some PDF might crash because of an overflow
    if numComps does not lie between 0 and 4.
    This is a security fix for CVE-2017-0319.

 poppler/Stream.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit d9c88e1c8892c79b8865a0dabdcc0d3ffd55c195
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 21 00:56:38 2017 +0200

    Fix crash in malformed documents

 poppler/GfxState.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 55db66c69fd56826b8523710046deab1a8d14ba2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 21 00:55:20 2017 +0200

    Fix crash in malformed documents

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5266fa426d73c5dbdb3dd903d50885097833acc6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:58:26 2017 +0200

    Fix crash in malformed document

    Bug #101526

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 112b8ab16128c6e7f80fe7c1890f7b63abd85cce
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:51:16 2017 +0200

    Fix crash in broken documents

    Fixes bug #101525

 poppler/JBIG2Stream.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 4e68bf998f886cab8a45fa315164d8ba7aa0dee4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:43:23 2017 +0200

    Fix crash on broken documents

    Fixes bug #101524

 poppler/JBIG2Stream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 558cdb4a4efbb2227f4009f5d87cdd94bfb40107
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 20 23:37:26 2017 +0200

    Fix crash in malformed documents

    Fixes bug #101523

 poppler/GfxFont.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7030a0176ed0ab484a401acc26072060e420679
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:45:24 2017 +0200

    Fix crash on broken documents

    Bug #101505

 goo/GooHash.cc | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e465d36b8ecf46b80af4ac6b941ae56eb4883a89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:35:29 2017 +0200

    Fix crash on malformed files

    Bug #101502

 poppler/GfxState.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit e2ab2fa9d8c41e0115b2c276a2594cd2f7c217e6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 19 23:18:51 2017 +0200

